com.genesyslab.wfm8.API.service.calendar810

## Class CalAgentDateTimeOffBalance

- java.lang.Object
- - com.genesyslab.wfm8.API.service.calendar810.CalAgentDateTimeOffBalance

- All Implemented Interfaces:
    java.io.Serializable

      public class CalAgentDateTimeOffBalance
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected double` | `accruedHours`
    `protected double` | `advanceHours`
    `protected int` | `agentID`
    `protected double` | `balance`
    `protected java.util.List<CalBonusBalance>` | `bonusArray`
    `protected int` | `bonusArraySize`
    `protected double` | `bonusAwardedHours`
    `protected double` | `bonusExpiredHours`
    `protected double` | `bonusHours`
    `protected double` | `bonusUsedHours`
    `protected double` | `cancelledHours`
    `protected double` | `carriedOverHours`
    `protected double` | `date`
    `protected double` | `declinedHours`
    `protected double` | `grantedHours`
    `protected double` | `partdayHours` Partial-day Exception count as Time Off hours
    `protected double` | `preferredHours`
    `protected double` | `scheduledHours`
    `private static long` | `serialVersionUID`
    `protected int` | `timeOffTypeID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalAgentDateTimeOffBalance()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `double` | `getAccruedHours()` Gets the value of the accruedHours property.
    `double` | `getAdvanceHours()` Gets the value of the advanceHours property.
    `int` | `getAgentID()` Gets the value of the agentID property.
    `double` | `getBalance()` Gets the value of the balance property.
    `java.util.List<CalBonusBalance>` | `getBonusArray()` Gets the value of the bonusArray property.
    `int` | `getBonusArraySize()` Gets the value of the bonusArraySize property.
    `double` | `getBonusAwardedHours()` Gets the value of the bonusAwardedHours property.
    `double` | `getBonusExpiredHours()` Gets the value of the bonusExpiredHours property.
    `double` | `getBonusHours()` Gets the value of the bonusHours property.
    `double` | `getBonusUsedHours()` Gets the value of the bonusUsedHours property.
    `double` | `getCancelledHours()` Gets the value of the cancelledHours property.
    `double` | `getCarriedOverHours()` Gets the value of the carriedOverHours property.
    `double` | `getDate()` Gets the value of the date property.
    `double` | `getDeclinedHours()` Gets the value of the declinedHours property.
    `double` | `getGrantedHours()` Gets the value of the grantedHours property.
    `double` | `getPartdayHours()` Gets the value of the partdayHours property.
    `double` | `getPreferredHours()` Gets the value of the preferredHours property.
    `double` | `getScheduledHours()` Gets the value of the scheduledHours property.
    `int` | `getTimeOffTypeID()` Gets the value of the timeOffTypeID property.
    `int` | `hashCode()`
    `void` | `setAccruedHours(double value)` Sets the value of the accruedHours property.
    `void` | `setAdvanceHours(double value)` Sets the value of the advanceHours property.
    `void` | `setAgentID(int value)` Sets the value of the agentID property.
    `void` | `setBalance(double value)` Sets the value of the balance property.
    `void` | `setBonusArray(java.util.List<CalBonusBalance> value)` Sets the value of the bonusArray property.
    `void` | `setBonusArraySize(int value)` Sets the value of the bonusArraySize property.
    `void` | `setBonusAwardedHours(double value)` Sets the value of the bonusAwardedHours property.
    `void` | `setBonusExpiredHours(double value)` Sets the value of the bonusExpiredHours property.
    `void` | `setBonusHours(double value)` Sets the value of the bonusHours property.
    `void` | `setBonusUsedHours(double value)` Sets the value of the bonusUsedHours property.
    `void` | `setCancelledHours(double value)` Sets the value of the cancelledHours property.
    `void` | `setCarriedOverHours(double value)` Sets the value of the carriedOverHours property.
    `void` | `setDate(double value)` Sets the value of the date property.
    `void` | `setDeclinedHours(double value)` Sets the value of the declinedHours property.
    `void` | `setGrantedHours(double value)` Sets the value of the grantedHours property.
    `void` | `setPartdayHours(double value)` Sets the value of the partdayHours property.
    `void` | `setPreferredHours(double value)` Sets the value of the preferredHours property.
    `void` | `setScheduledHours(double value)` Sets the value of the scheduledHours property.
    `void` | `setTimeOffTypeID(int value)` Sets the value of the timeOffTypeID property.
    `java.lang.String` | `toString()`
    `CalAgentDateTimeOffBalance` | `withAccruedHours(double value)`
    `CalAgentDateTimeOffBalance` | `withAdvanceHours(double value)`
    `CalAgentDateTimeOffBalance` | `withAgentID(int value)`
    `CalAgentDateTimeOffBalance` | `withBalance(double value)`
    `CalAgentDateTimeOffBalance` | `withBonusArray(CalBonusBalance... values)`
    `CalAgentDateTimeOffBalance` | `withBonusArray(java.util.Collection<CalBonusBalance> values)`
    `CalAgentDateTimeOffBalance` | `withBonusArraySize(int value)`
    `CalAgentDateTimeOffBalance` | `withBonusAwardedHours(double value)`
    `CalAgentDateTimeOffBalance` | `withBonusExpiredHours(double value)`
    `CalAgentDateTimeOffBalance` | `withBonusHours(double value)`
    `CalAgentDateTimeOffBalance` | `withBonusUsedHours(double value)`
    `CalAgentDateTimeOffBalance` | `withCancelledHours(double value)`
    `CalAgentDateTimeOffBalance` | `withCarriedOverHours(double value)`
    `CalAgentDateTimeOffBalance` | `withDate(double value)`
    `CalAgentDateTimeOffBalance` | `withDeclinedHours(double value)`
    `CalAgentDateTimeOffBalance` | `withGrantedHours(double value)`
    `CalAgentDateTimeOffBalance` | `withPartdayHours(double value)`
    `CalAgentDateTimeOffBalance` | `withPreferredHours(double value)`
    `CalAgentDateTimeOffBalance` | `withScheduledHours(double value)`
    `CalAgentDateTimeOffBalance` | `withTimeOffTypeID(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### agentID

          protected int agentID

    - #### date

          protected double date

    - #### timeOffTypeID

          protected int timeOffTypeID

    - #### balance

          protected double balance

    - #### accruedHours

          protected double accruedHours

    - #### bonusHours

          protected double bonusHours

    - #### advanceHours

          protected double advanceHours

    - #### carriedOverHours

          protected double carriedOverHours

    - #### scheduledHours

          protected double scheduledHours

    - #### grantedHours

          protected double grantedHours

    - #### preferredHours

          protected double preferredHours

    - #### declinedHours

          protected double declinedHours

    - #### cancelledHours

          protected double cancelledHours

    - #### partdayHours

          protected double partdayHours

      Partial-day Exception count as Time Off hours

    - #### bonusAwardedHours

          protected double bonusAwardedHours

    - #### bonusUsedHours

          protected double bonusUsedHours

    - #### bonusExpiredHours

          protected double bonusExpiredHours

    - #### bonusArraySize

          protected int bonusArraySize

    - #### bonusArray

          protected java.util.List<CalBonusBalance> bonusArray

  - ### Constructor Detail

    - #### CalAgentDateTimeOffBalance

          public CalAgentDateTimeOffBalance()

  - ### Method Detail

    - #### getAgentID

          public int getAgentID()

      Gets the value of the agentID property.

    - #### setAgentID

          public void setAgentID(int value)

      Sets the value of the agentID property.

    - #### getDate

          public double getDate()

      Gets the value of the date property.

    - #### setDate

          public void setDate(double value)

      Sets the value of the date property.

    - #### getTimeOffTypeID

          public int getTimeOffTypeID()

      Gets the value of the timeOffTypeID property.

    - #### setTimeOffTypeID

          public void setTimeOffTypeID(int value)

      Sets the value of the timeOffTypeID property.

    - #### getBalance

          public double getBalance()

      Gets the value of the balance property.

    - #### setBalance

          public void setBalance(double value)

      Sets the value of the balance property.

    - #### getAccruedHours

          public double getAccruedHours()

      Gets the value of the accruedHours property.

    - #### setAccruedHours

          public void setAccruedHours(double value)

      Sets the value of the accruedHours property.

    - #### getBonusHours

          public double getBonusHours()

      Gets the value of the bonusHours property.

    - #### setBonusHours

          public void setBonusHours(double value)

      Sets the value of the bonusHours property.

    - #### getAdvanceHours

          public double getAdvanceHours()

      Gets the value of the advanceHours property.

    - #### setAdvanceHours

          public void setAdvanceHours(double value)

      Sets the value of the advanceHours property.

    - #### getCarriedOverHours

          public double getCarriedOverHours()

      Gets the value of the carriedOverHours property.

    - #### setCarriedOverHours

          public void setCarriedOverHours(double value)

      Sets the value of the carriedOverHours property.

    - #### getScheduledHours

          public double getScheduledHours()

      Gets the value of the scheduledHours property.

    - #### setScheduledHours

          public void setScheduledHours(double value)

      Sets the value of the scheduledHours property.

    - #### getGrantedHours

          public double getGrantedHours()

      Gets the value of the grantedHours property.

    - #### setGrantedHours

          public void setGrantedHours(double value)

      Sets the value of the grantedHours property.

    - #### getPreferredHours

          public double getPreferredHours()

      Gets the value of the preferredHours property.

    - #### setPreferredHours

          public void setPreferredHours(double value)

      Sets the value of the preferredHours property.

    - #### getDeclinedHours

          public double getDeclinedHours()

      Gets the value of the declinedHours property.

    - #### setDeclinedHours

          public void setDeclinedHours(double value)

      Sets the value of the declinedHours property.

    - #### getCancelledHours

          public double getCancelledHours()

      Gets the value of the cancelledHours property.

    - #### setCancelledHours

          public void setCancelledHours(double value)

      Sets the value of the cancelledHours property.

    - #### getPartdayHours

          public double getPartdayHours()

      Gets the value of the partdayHours property.

    - #### setPartdayHours

          public void setPartdayHours(double value)

      Sets the value of the partdayHours property.

    - #### getBonusAwardedHours

          public double getBonusAwardedHours()

      Gets the value of the bonusAwardedHours property.

    - #### setBonusAwardedHours

          public void setBonusAwardedHours(double value)

      Sets the value of the bonusAwardedHours property.

    - #### getBonusUsedHours

          public double getBonusUsedHours()

      Gets the value of the bonusUsedHours property.

    - #### setBonusUsedHours

          public void setBonusUsedHours(double value)

      Sets the value of the bonusUsedHours property.

    - #### getBonusExpiredHours

          public double getBonusExpiredHours()

      Gets the value of the bonusExpiredHours property.

    - #### setBonusExpiredHours

          public void setBonusExpiredHours(double value)

      Sets the value of the bonusExpiredHours property.

    - #### getBonusArraySize

          public int getBonusArraySize()

      Gets the value of the bonusArraySize property.

    - #### setBonusArraySize

          public void setBonusArraySize(int value)

      Sets the value of the bonusArraySize property.

    - #### getBonusArray

          public java.util.List<CalBonusBalance> getBonusArray()

      Gets the value of the bonusArray property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the bonusArray property.

      For example, to add a new item, do as follows:

              getBonusArray().add(newItem);

      Objects of the following type(s) are allowed in the list `CalBonusBalance`

    - #### setBonusArray

          public void setBonusArray(java.util.List<CalBonusBalance> value)

      Sets the value of the bonusArray property.

    - #### withAgentID

          public CalAgentDateTimeOffBalance withAgentID(int value)

    - #### withDate

          public CalAgentDateTimeOffBalance withDate(double value)

    - #### withTimeOffTypeID

          public CalAgentDateTimeOffBalance withTimeOffTypeID(int value)

    - #### withBalance

          public CalAgentDateTimeOffBalance withBalance(double value)

    - #### withAccruedHours

          public CalAgentDateTimeOffBalance withAccruedHours(double value)

    - #### withBonusHours

          public CalAgentDateTimeOffBalance withBonusHours(double value)

    - #### withAdvanceHours

          public CalAgentDateTimeOffBalance withAdvanceHours(double value)

    - #### withCarriedOverHours

          public CalAgentDateTimeOffBalance withCarriedOverHours(double value)

    - #### withScheduledHours

          public CalAgentDateTimeOffBalance withScheduledHours(double value)

    - #### withGrantedHours

          public CalAgentDateTimeOffBalance withGrantedHours(double value)

    - #### withPreferredHours

          public CalAgentDateTimeOffBalance withPreferredHours(double value)

    - #### withDeclinedHours

          public CalAgentDateTimeOffBalance withDeclinedHours(double value)

    - #### withCancelledHours

          public CalAgentDateTimeOffBalance withCancelledHours(double value)

    - #### withPartdayHours

          public CalAgentDateTimeOffBalance withPartdayHours(double value)

    - #### withBonusAwardedHours

          public CalAgentDateTimeOffBalance withBonusAwardedHours(double value)

    - #### withBonusUsedHours

          public CalAgentDateTimeOffBalance withBonusUsedHours(double value)

    - #### withBonusExpiredHours

          public CalAgentDateTimeOffBalance withBonusExpiredHours(double value)

    - #### withBonusArraySize

          public CalAgentDateTimeOffBalance withBonusArraySize(int value)

    - #### withBonusArray

          public CalAgentDateTimeOffBalance withBonusArray(CalBonusBalance... values)

    - #### withBonusArray

          public CalAgentDateTimeOffBalance withBonusArray(java.util.Collection<CalBonusBalance> values)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.